# setRemoteRenderParams method Null safety

Future<void> setRemoteRenderParams(

1. String userId,
2. int streamType,
3. TRTCRenderParams renderParams

)

Set remote image parameters

Parameters:

userId: User ID

streamType: Video stream type

- HD big image: TRTCCloudDef.TRTC_VIDEO_STREAM_TYPE_BIG
- Smooth big image: TRTCCloudDef.TRTC_VIDEO_STREAM_TYPE_SMALL
- Substream (screen sharing): TRTCCloudDef.TRTC_VIDEO_STREAM_TYPE_SUB

renderParams: rendering parameters (fill mode, rotation angle, mirror mode, etc.). For more information, please see the definition of the `TRTCRemoteRenderParams` parameter in `trtc_cloud.def.dart`

## Implementation

    Future<void> setRemoteRenderParams(
        String userId, int streamType, TRTCRenderParams renderParams) {
      return _channel.invokeMethod('setRemoteRenderParams', {
        "userId": userId,
        "streamType": streamType,
        "param": jsonEncode(renderParams),
      });
    }